Bug 1459553 - python-glareclient - client library for Unified Artifact Repository (Glare)
python-glareclient - client library for Unified Artifact Repository (Glare)
Status: ASSIGNED
Product: RDO
Classification: Community
Component: Package Review (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: trunk
Assigned To: Alfredo Moralejo
hguemar
:
Depends On:
Blocks: RDO-PIKE
  Show dependency treegraph
 
Reported: 2017-06-07 08:39 EDT by Mike Fedosin
Modified: 2017-08-14 11:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amoralej: rdo‑review+


Attachments (Terms of Use)

  None (edit)
Description Mike Fedosin 2017-06-07 08:39:19 EDT
Packaging for Glare and its client URL: https://github.com/Fedosin/glare-rpm

Glare client spec: https://raw.githubusercontent.com/Fedosin/glare-rpm/master/python-glareclient.spec

Description: Python client for Glare REST API. Includes python library for Glare API, Command Line Interface (CLI) library and openstackclient plugin.
Comment 1 Alfredo Moralejo 2017-08-14 11:39:31 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 32 files have unknown license. Detailed output of
     licensecheck in /tmp/python-glareclient/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /etc/bash_completion.d(python2-novaclient, stgit,
     python2-glanceclient, yum-utils, bash-completion, filesystem,
     python2-heatclient, udisks, devassistant-cli)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-glareclient , python-glareclient-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.4.2.dev3
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-glareclient-0.4.2-0.20170814150217.f669aba.el7.centos.noarch.rpm
          python-glareclient-doc-0.4.2-0.20170814150217.f669aba.el7.centos.noarch.rpm
          python-glareclient-0.4.2-0.20170814150217.f669aba.el7.centos.src.rpm
python2-glareclient.noarch: W: spelling-error %description -l en_US openstackclient -> happenstance
python2-glareclient.noarch: E: no-changelogname-tag
python2-glareclient.noarch: E: zero-length /usr/lib/python2.7/site-packages/glareclient/tests/unit/var/badcert.crt
python2-glareclient.noarch: W: non-conffile-in-etc /etc/bash_completion.d/glare
python2-glareclient.noarch: W: no-manual-page-for-binary glare-2.7
python2-glareclient.noarch: W: no-manual-page-for-binary glare-2
python-glareclient-doc.noarch: W: spelling-error %description -l en_US openstackclient -> happenstance
python-glareclient-doc.noarch: E: no-changelogname-tag
python-glareclient-doc.noarch: W: file-not-utf8 /usr/share/doc/python-glareclient-doc-0.4.2/html/objects.inv
python-glareclient.src: W: spelling-error %description -l en_US openstackclient -> happenstance
python-glareclient.src: E: no-changelogname-tag
python-glareclient.src: W: invalid-url Source0: python-glareclient-0.4.2.dev3-0.20170814150217.f669aba.tar.gz
3 packages and 0 specfiles checked; 4 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
python2-glareclient.noarch: E: no-changelogname-tag
python2-glareclient.noarch: W: non-conffile-in-etc /etc/bash_completion.d/glare
python2-glareclient.noarch: E: zero-length /usr/lib/python2.7/site-packages/glareclient/tests/unit/var/badcert.crt
python2-glareclient.noarch: W: no-manual-page-for-binary glare-2.7
python2-glareclient.noarch: W: no-manual-page-for-binary glare-2
python-glareclient-doc.noarch: E: no-changelogname-tag
2 packages and 0 specfiles checked; 3 errors, 3 warnings.



Requires
--------
python2-glareclient (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-cliff
    python-keystoneclient
    python-openstackclient
    python-osc-lib
    python-oslo-i18n
    python-oslo-utils
    python-osprofiler
    python-pbr
    python-requests
    python-six

python-glareclient-doc (rpmlib, GLIBC filtered):



Provides
--------
python2-glareclient:
    python-glareclient
    python2-glareclient

python-glareclient-doc:
    python-glareclient-doc



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -rn python-glareclient-0.4.2-0.20170814150217.f669aba.el7.centos.src.rpm
Buildroot used: dlrn-centos-master-x86_64-1
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Some comments:

- Package license is valid ASL 2.0
- no-changelogname-tag error: this spec is prepared for DLRN, which doesn't use changelog.
- zero-length /usr/lib/python2.7/site-packages/glareclient/tests/unit/var/badcert.crt is a fixture for unit tests

Package is APPROVED

Note You need to log in before you can comment on or make changes to this bug.